import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/waseem-medhat/9fb7125ce70ac120d5bf5964bf64732e/raw/migrants.csv';

const row = (d) => {
  d.coords = d['Location Coordinates']
    .split(', ')
    .map((d) => +d)
    .reverse();
  d['TotalD Dead and Missing'] = +d['TotalD Dead and Missing'];
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
